package com.sd.business.entity.board.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 事业部bom销量统计数据查询返回值实体
 *
 * @since 2023-12-14
 */
@Getter
@Setter
public class DepartmentBomSalesBoardVo {

    /**
     * 事业部名称
     */
    private String departmentName;

    /**
     * 订单总数
     */
    private Integer orderSalesCount;

    /**
     * bom销售总数
     */
    private BigDecimal bomSpecSalesCount;

    /**
     * bom销售列表
     */
    private List<DailyBoardOutStorageBomVo> bomSpecSalesList;
}
