package com.sd.business.entity.board.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * sku销售地区排行数据查询返回值实体
 *
 * @since 2023-11-16
 */
@Getter
@Setter
public class SkuSalesRegionRankingVo {

    /**
     * 省份
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "省份", index = 0)
    private String province;

    /**
     * 城市
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "城市", index = 1)
    private String city;

    /**
     * 销量
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "销量", index = 2)
    private BigDecimal salesQuantity;
}
